GNU bug report logs - #47632
Extracting guix.iso.xz with Xarchiver will give damaged .iso

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: bo0od <bo0od@HIDDEN>; Keywords: notabug; Done: Leo Famulari <leo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
Added tag(s) notabug. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug closed, send any further explanations to 47632 <at> debbugs.gnu.org and bo0od <bo0od@HIDDEN> Request was from Leo Famulari <leo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47632 <at> debbugs.gnu.org:


Received: (at 47632) by debbugs.gnu.org; 10 Apr 2021 01:31:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 09 21:31:30 2021
Received: from localhost ([127.0.0.1]:51178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lV2TC-0003b4-Ka
	for submit <at> debbugs.gnu.org; Fri, 09 Apr 2021 21:31:30 -0400
Received: from mx1.riseup.net ([198.252.153.129]:54946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lV2TA-0003ap-Og
 for 47632 <at> debbugs.gnu.org; Fri, 09 Apr 2021 21:31:30 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FHHXB1K3vzDqr1;
 Fri,  9 Apr 2021 18:31:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1618018282; bh=8jkUnLPsAw3Jebr3T+JIT3kweSwvHSiCIAi0zpYkaMY=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=enE9/fU4Sss4+HUpUEYtddYmL5hVImkpzTxhqdLbgjVicz35nIZdEbOlUc1w7rozs
 frh1mgQOd03swcWZJUM3ZWCkfwpUHBxuGoS9c8A0x+WBDnzLrL4IjxJfxvo9iM/Ooh
 5ZxnXSYAMyyIlkDRiNtXYI/WJdlUiXNO3u3emacw=
X-Riseup-User-ID: 98C12B6C9B4A67FC8703B90426EBA1002FC4BC04A0DDD4C7CF49B037EBA84BFC
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FHHX86zBdz5vxd;
 Fri,  9 Apr 2021 18:31:20 -0700 (PDT)
Subject: Re: bug#47632: Extracting guix.iso.xz with Xarchiver will give
 damaged .iso
To: Leo Famulari <leo@HIDDEN>
References: <6eebcd94-83a7-0ac3-4ba9-edf75ef7721a@HIDDEN>
 <YG9Swk4mYyc44hhf@HIDDEN>
From: bo0od <bo0od@HIDDEN>
Message-ID: <cba23c7b-b5f1-90ca-65e2-5669a15d0bac@HIDDEN>
Date: Sat, 10 Apr 2021 01:31:17 +0000
MIME-Version: 1.0
In-Reply-To: <YG9Swk4mYyc44hhf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47632
Cc: 47632 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Feel free to close this issue, I have tested this scenario again i cant 
reproduce.

Leo Famulari:
> On Wed, Apr 07, 2021 at 05:27:49AM +0000, bo0od wrote:
>> I have just tested to extract guix.iso.xz using Xarchiver and tried to
>> install guix.iso on a vbox, The image wont be readable/identified for
>> installation.
> 
> Thanks for the report.
> 
> I installed Xarchiver and used it to extract the iso.xz to /tmp.
> 
> Then I did this:
> 
> ------
> $ file guix-system-install-1.2.0.x86_64-linux.iso
> guix-system-install-1.2.0.x86_64-linux.iso: DOS/MBR boot sector; GRand Unified Bootloader, stage1 version 0x79, boot drive 0xbb, stage2 address 0x8e70, 1st sector stage2 0xb8db31c3, stage2 segment 0x201
> ------
> 
> So, I think it worked?
> 
> I found Xarchiver somewhat complicated...
> 




Information forwarded to bug-guix@HIDDEN:
bug#47632; Package guix. Full text available.

Message received at 47632 <at> debbugs.gnu.org:


Received: (at 47632) by debbugs.gnu.org; 8 Apr 2021 19:00:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 15:00:29 2021
Received: from localhost ([127.0.0.1]:48348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUZtE-000635-O6
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 15:00:28 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:49613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lUZtC-0005vr-R5
 for 47632 <at> debbugs.gnu.org; Thu, 08 Apr 2021 15:00:27 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id 544D25C0129;
 Thu,  8 Apr 2021 15:00:21 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Thu, 08 Apr 2021 15:00:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=eupyIqKm0H3rROz9LCbEqhU/
 daF19Me6IKN4/TilULU=; b=OBL25acPpPe3m0fzyUN99sEjC5F3VPU7wMCMlY+H
 IfnEggi93J09qtaazYQ75lw068AJlkwA9ESgKrtBpZstwaLKWmM4q8u/PPu6nXr0
 EqeN0Hftyav/AxiNZ6LLqJaPERhjxcOEaXz55eJekrfl8+0CKOak8snMm8dOGVur
 veQ=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=eupyIq
 Km0H3rROz9LCbEqhU/daF19Me6IKN4/TilULU=; b=LN4xgHFx9Jnrl/GzM6KHir
 Up+Sn8UvyIS8k7PjnATTWUhz9V//vt58mz8JCQh599/J2LXIPoDW7+s1p7KilKlP
 xOE4I30yZ6H4r1oJZlZgh855b8A7eDcbp3KLAhl8/aAR1ws5qvVM3V61XiP9q52Q
 Qf3QgXq0OzNzaEgqFsFXkEHLeXg+bXDZamiP3GxsGF3nOW2HuWCRWOR3UE+9eweM
 IvdrWbTbYj9tDXfszIYrIRSwIIrnvaqEvy8yfsv0VhA4cutqbEIQR4bZo5lMo9O3
 D78Z08JSGILEW4I1gJwF6olBxfc3auM4IC2po/J1n9ut5jpZ1Aw6I+7U/iKfOD5g
 ==
X-ME-Sender: <xms:xFJvYCENbn1JB57g48EZxlckaL7d8K1iWTkdicy0nTQYHPM9IitlrA>
 <xme:xFJvYFWoNXzYLB1wJKOdWcmwR_xnSf84KJC_FDl33AMuhAmi9uWJ-8aAMpb6IhWe9
 1xXy5wJumRsJqpYfA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejledgudefgecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehttd
 ertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpeeukeektdffvddtudegjeegtdevhf
 eufeeivdejiedtieegtdevjedvjeehffevgfenucfkphepuddttddruddurdduieelrddu
 udeknecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheplh
 gvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:xFJvYFiL5mQecHVVd0FLfYn3PMeVNOJ3BDz0Yh_Iy4GXVl9VMYwDyQ>
 <xmx:xFJvYORZn30s6QFeVVEDnEoX5TLjGpJq-Ll6B2J7hjn5rFw9RQMMhQ>
 <xmx:xFJvYAELd_97Np7i_I8iFvTxXjnmOrpskh7u8kRq-EVDOJGHYYsSvw>
 <xmx:xVJvYPZ0osVcYV_ttvvvhkJJtJbGQzRYoWhJgFbfzXMC7VDnHS0zXA>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id C222E24005E;
 Thu,  8 Apr 2021 15:00:20 -0400 (EDT)
Date: Thu, 8 Apr 2021 15:00:18 -0400
From: Leo Famulari <leo@HIDDEN>
To: bo0od <bo0od@HIDDEN>
Subject: Re: bug#47632: Extracting guix.iso.xz with Xarchiver will give
 damaged .iso
Message-ID: <YG9Swk4mYyc44hhf@HIDDEN>
References: <6eebcd94-83a7-0ac3-4ba9-edf75ef7721a@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <6eebcd94-83a7-0ac3-4ba9-edf75ef7721a@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47632
Cc: 47632 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wed, Apr 07, 2021 at 05:27:49AM +0000, bo0od wrote:
> I have just tested to extract guix.iso.xz using Xarchiver and tried to
> install guix.iso on a vbox, The image wont be readable/identified for
> installation.

Thanks for the report.

I installed Xarchiver and used it to extract the iso.xz to /tmp.

Then I did this:

------
$ file guix-system-install-1.2.0.x86_64-linux.iso 
guix-system-install-1.2.0.x86_64-linux.iso: DOS/MBR boot sector; GRand Unified Bootloader, stage1 version 0x79, boot drive 0xbb, stage2 address 0x8e70, 1st sector stage2 0xb8db31c3, stage2 segment 0x201
------

So, I think it worked?

I found Xarchiver somewhat complicated...




Information forwarded to bug-guix@HIDDEN:
bug#47632; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Apr 2021 05:28:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 01:28:03 2021
Received: from localhost ([127.0.0.1]:42832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lU0jT-0004xx-C6
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 01:28:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:38348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lU0jR-0004xY-MV
 for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 01:28:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42106)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lU0jR-0008A3-GG
 for bug-guix@HIDDEN; Wed, 07 Apr 2021 01:28:01 -0400
Received: from mx1.riseup.net ([198.252.153.129]:60314)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lU0jM-0002Xx-Av
 for bug-guix@HIDDEN; Wed, 07 Apr 2021 01:28:01 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FFXwV57X5zDv37
 for <bug-guix@HIDDEN>; Tue,  6 Apr 2021 22:27:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1617773274; bh=ZkSlb6Cgu3fJ+/v8JLRuk8k0WDw3biQUnGUAa5VVdCg=;
 h=To:From:Subject:Date:From;
 b=A4HV2AgW2dbV4AOcrUedmvMSy74XVaMSWI2JyPHvmCCLJGLSbfwz38HWAzIZcIEBF
 Ud/e9mRsgi7a4Qnjr3TmYTOi3wdQ5axDT0HkVXPwsTF1k3oVxfyGZtShtB5fGWMx6E
 8eTyhqnUI12XXAS++ha0aIgjLUcAdH3DLWiEzgZc=
X-Riseup-User-ID: 5A3240362C34FFF27FB14AC970B34422BC8814642675BD383C38550F481479EC
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FFXwT3j1Yz5vNX
 for <bug-guix@HIDDEN>; Tue,  6 Apr 2021 22:27:53 -0700 (PDT)
To: bug-guix@HIDDEN
From: bo0od <bo0od@HIDDEN>
Subject: Extracting guix.iso.xz with Xarchiver will give damaged .iso
Message-ID: <6eebcd94-83a7-0ac3-4ba9-edf75ef7721a@HIDDEN>
Date: Wed, 7 Apr 2021 05:27:49 +0000
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=198.252.153.129; envelope-from=bo0od@HIDDEN;
 helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi There,

I have just tested to extract guix.iso.xz using Xarchiver and tried to 
install guix.iso on a vbox, The image wont be readable/identified for 
installation.

Only way to make it work is by using unxz command.





Acknowledgement sent to bo0od <bo0od@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#47632; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 15 Apr 2021 09:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.